geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject svn commit: r610512 - /geronimo/gbuild/daily_build_scripts/gbuild.sh
Date Wed, 09 Jan 2008 18:51:15 GMT
Author: gawor
Date: Wed Jan  9 10:51:14 2008
New Revision: 610512

URL: http://svn.apache.org/viewvc?rev=610512&view=rev
Log:
stop build if svn checkout fails

Modified:
    geronimo/gbuild/daily_build_scripts/gbuild.sh

Modified: geronimo/gbuild/daily_build_scripts/gbuild.sh
URL: http://svn.apache.org/viewvc/geronimo/gbuild/daily_build_scripts/gbuild.sh?rev=610512&r1=610511&r2=610512&view=diff
==============================================================================
--- geronimo/gbuild/daily_build_scripts/gbuild.sh (original)
+++ geronimo/gbuild/daily_build_scripts/gbuild.sh Wed Jan  9 10:51:14 2008
@@ -104,6 +104,16 @@
 cd $TEST_DIR
 rm -rf $BRANCH_DIR
 svn co https://svn.apache.org/repos/asf/geronimo/server/$BRANCH $BRANCH_DIR
+if [ $? -ne 0 ]
+then
+  echo "SVN checkout failed."
+  subject="[BUILD] ${BRANCH_ID}: SVN checkout failed"
+  echo "SVN checkout failed." > mail.txt
+
+  send_mail "$subject" "$ADMIN_ADDR"
+  exit
+fi
+
 cd $BRANCH_DIR
 rev=`svn info | grep Revision`
 



Mime
View raw message